std::is_error_code_enum(3)

NAME
std::is_error_code_enum - std::is_error_code_enum

Synopsis
   Defined in header <future>
   template<> (since C++11)
   struct is_error_code_enum<std::future_errc> : std::true_type;
   Specifies that std::future_errc is an error code enum. This enables std::error_code
   automatic conversions.

See also
   is_error_code_enum identifies a class as an error_code enumeration
   (C++11) (class template)